## libdicto 1.0.6-1

=== Makefile ===
PACKAGE:=libdicto
VERSION:=1.0.6
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=
URLS=http://ftp.tal.org/pub/src/libdicto/1.0

include ../Rules.make

## libdicto 1.0.6

=== debian/changelog ===
libdicto (1.0.6) unstable; urgency=high

  * New release

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 19 Jan 2010 14:50:00 +0200

libdicto (1.0.4) unstable; urgency=high

  * New release

 -- Kaj-Michael Lang <milang@tal.org>  Sat, 16 Jan 2010 23:55:00 +0200

libdicto (1.0.3.99) unstable; urgency=low

  * New release

 -- Kaj-Michael Lang <milang@tal.org>  Wed, 30 Dec 2009 17:06:00 +0200

libdicto (1.0.3) unstable; urgency=low

  * New release

 -- Kaj-Michael Lang <milang@tal.org>  Wed, 23 Dec 2009 13:55:00 +0200

libdicto (1.0.2) unstable; urgency=low

  * New release, with hildon support

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 22 Dec 2009 16:54:00 +0200

libdicto (1.0.1) unstable; urgency=low

  * Initial release

 -- Kaj-Michael Lang <milang@tal.org>  Mon, 21 Dec 2009 16:32:00 +0200

=== debian/control ===
Source: libdicto
Priority: optional
Maintainer: Kaj-Michael Lang
Build-Depends: debhelper (>= 4.1.0), cdbs,
 libgstreamer0.10-dev (>= 0.10.10), libgstreamer-plugins-base0.10-dev, libglib2.0-dev, libgtk2.0-dev, libhildon1-dev
Standards-Version: 3.8.0

Package: libdicto
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, gstreamer0.10-plugins-good-extra, gstreamer0.10-plugins-good, libhildon1
Description: Dictation widget library

Package: libdicto-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}
Description: Development files for libdicto

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)

DEB_TAR_SRCDIR:=libdicto-1.0.6
DEB_DESTDIR=$(CURDIR)/debian/tmp
DEB_CONFIGURE_EXTRA_FLAGS:=--disable-static --enable-debug --enable-maemo=auto --disable-gtk-doc

include /usr/share/cdbs/1/rules/tarball.mk

## libdicto 1.0.6-1

=== debian/changelog ===
libdicto (1.0.6-1) unstable; urgency=low

  * Fix dev package deps

 -- Kaj-Michael Lang <milang@tal.org>  Mon, 25 Jan 2010 16:07:00 +0200

=== debian/control ===
--- 
+++ 
@@ -14,5 +14,5 @@
 Package: libdicto-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, libdicto (>= 1.0.6)
 Description: Development files for libdicto

## libdicto 1.0.8

=== Makefile ===
PACKAGE:=libdicto
VERSION:=1.0.8
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=
URLS=http://ftp.tal.org/pub/src/libdicto/1.0

include ../Rules.make

=== debian/changelog ===
libdicto (1.0.8) unstable; urgency=low

  * New release

 -- Kaj-Michael Lang <milang@tal.org>  Thu, 04 Mar 2010 13:19:00 +0200

=== debian/control ===
--- 
+++ 
@@ -14,5 +14,5 @@
 Package: libdicto-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, libdicto (>= 1.0.6)
+Depends: ${shlibs:Depends}, libdicto (>= 1.0.8)
 Description: Development files for libdicto

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=libdicto-1.0.6
+DEB_TAR_SRCDIR:=libdicto-1.0.8
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 DEB_CONFIGURE_EXTRA_FLAGS:=--disable-static --enable-debug --enable-maemo=auto --disable-gtk-doc

## libdicto 1.0.10

=== Makefile ===
PACKAGE:=libdicto
VERSION:=1.0.10
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=
URLS=http://ftp.tal.org/pub/src/libdicto/1.0

include ../Rules.make

=== debian/changelog ===
libdicto (1.0.10) unstable; urgency=low

  * New release

 -- Kaj-Michael Lang <milang@tal.org>  Mon, 15 Mar 2010 14:20:00 +0200

libdicto (1.0.9) unstable; urgency=low

  * New release

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 05 Mar 2010 17:06:00 +0200

=== debian/control ===
--- 
+++ 
@@ -14,5 +14,5 @@
 Package: libdicto-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, libdicto (>= 1.0.8)
+Depends: ${shlibs:Depends}, libdicto (>= 1.0.10)
 Description: Development files for libdicto

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=libdicto-1.0.8
+DEB_TAR_SRCDIR:=libdicto-1.0.10
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 DEB_CONFIGURE_EXTRA_FLAGS:=--disable-static --enable-debug --enable-maemo=auto --disable-gtk-doc

## libdicto 1.0.11.1

=== Makefile ===
PACKAGE:=libdicto
VERSION:=1.0.11.1
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=
URLS=http://ftp.tal.org/pub/src/libdicto/1.0

include ../Rules.make

=== debian/changelog ===
libdicto (1.0.11.1) unstable; urgency=low

  * New release

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 23 Apr 2010 15:33:00 +0200

=== debian/control ===
--- 
+++ 
@@ -14,5 +14,5 @@
 Package: libdicto-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, libdicto (>= 1.0.10)
+Depends: ${shlibs:Depends}, libdicto (>= 1.0.11.1)
 Description: Development files for libdicto

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=libdicto-1.0.10
+DEB_TAR_SRCDIR:=libdicto-1.0.11.1
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 DEB_CONFIGURE_EXTRA_FLAGS:=--disable-static --enable-debug --enable-maemo=auto --disable-gtk-doc

## libdicto 1.0.11.1-1

=== debian/changelog ===
libdicto (1.0.11.1-1) unstable; urgency=low

  * Remove dependency on gstreamer0.10-plugins-good-extra as
    as we can live without it, let applications depen on extra codecs.
    Why? Diablo and Fremantle gstreamer0.10-plugins-good-extra have a very different content.

 -- Kaj-Michael Lang <milang@tal.org>  Wed, 28 Apr 2010 16:30:00 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: libdicto
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, gstreamer0.10-plugins-good-extra, gstreamer0.10-plugins-good, libhildon1
+Depends: ${shlibs:Depends}, gstreamer0.10-plugins-good, libhildon1
 Description: Dictation widget library
 
 Package: libdicto-dev

## libdicto 1.0.13

=== Makefile ===
PACKAGE:=libdicto
VERSION:=1.0.13
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=
URLS=http://ftp.tal.org/pub/src/libdicto/1.0

include ../Rules.make

=== debian/changelog ===
libdicto (1.0.13) unstable; urgency=low
  * Fix support vorbis playback
  * Internal fix to build with older glib
  * Other bugfixes

 -- Kaj-Michael Lang <milang@tal.org>  Sat, 12 Jun 2010 19:45:00 +0200

libdicto (1.0.12) unstable; urgency=low
  * Supply gst tag interface
  * Check if EOS sending was ok
  * Minor internal state handling changes

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 14 May 2010 16:41:00 +0200

libdicto (1.0.11.2) unstable; urgency=low

  * Don't seek on unpause if no seek was made
  * Enable deletion by default
  * Display filename in default hildon confirmation dialog
  * Minor bug fixes

 -- Kaj-Michael Lang <milang@tal.org>  Thu, 06 May 2010 00:31:00 +0200

=== debian/control ===
--- 
+++ 
@@ -14,5 +14,5 @@
 Package: libdicto-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, libdicto (>= 1.0.11.1)
+Depends: ${shlibs:Depends}, libdicto (>= 1.0.12)
 Description: Development files for libdicto

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=libdicto-1.0.11.1
+DEB_TAR_SRCDIR:=libdicto-1.0.13
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 DEB_CONFIGURE_EXTRA_FLAGS:=--disable-static --enable-debug --enable-maemo=auto --disable-gtk-doc

## libdicto 1.0.13.1

=== Makefile ===
PACKAGE:=libdicto
VERSION:=1.0.13.1
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=
URLS=http://ftp.tal.org/pub/src/libdicto/1.0

include ../Rules.make

=== debian/changelog ===
libdicto (1.0.13.1) unstable; urgency=low
  * Fix stop handling on old gstreamer

 -- Kaj-Michael Lang <milang@tal.org>  Thu, 24 Jun 2010 16:39:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=libdicto-1.0.13
+DEB_TAR_SRCDIR:=libdicto-1.0.13.1
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 DEB_CONFIGURE_EXTRA_FLAGS:=--disable-static --enable-debug --enable-maemo=auto --disable-gtk-doc

## libdicto 1.0.14.1

=== Makefile ===
PACKAGE:=libdicto
VERSION:=1.0.14.1
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=
URLS=http://ftp.tal.org/pub/src/libdicto/1.0

include ../Rules.make

=== debian/changelog ===
libdicto (1.0.14.1) unstable; urgency=low
  * Hide/show widgets when needed
  * Use gio for file monitoring if available

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 05 Aug 2011 11:39:00 +0300

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,11 @@
 
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=libdicto-1.0.13.1
+DEB_TAR_SRCDIR:=libdicto-1.0.14.1
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 DEB_CONFIGURE_EXTRA_FLAGS:=--disable-static --enable-debug --enable-maemo=auto --disable-gtk-doc
+ifeq ($(IS_FREMANTLE),y)
+DEB_CONFIGURE_EXTRA_FLAGS+= --enable-gio
+endif
 
 include /usr/share/cdbs/1/rules/tarball.mk

## libdicto 1.0.14.2

=== Makefile ===
PACKAGE:=libdicto
VERSION:=1.0.14.2
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=
URLS=http://ftp.tal.org/pub/src/libdicto/1.0

include ../Rules.make

=== debian/changelog ===
libdicto (1.0.14.2) unstable; urgency=low
  * Minor source fixes

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 28 Oct 2011 10:20:00 +0300

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=libdicto-1.0.14.1
+DEB_TAR_SRCDIR:=libdicto-1.0.14.2
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 DEB_CONFIGURE_EXTRA_FLAGS:=--disable-static --enable-debug --enable-maemo=auto --disable-gtk-doc
 ifeq ($(IS_FREMANTLE),y)

## libdicto 1.0.14.3

=== Makefile ===
PACKAGE:=libdicto
VERSION:=1.0.14.3
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=
URLS=http://ftp.tal.org/pub/src/libdicto/1.0

include ../Rules.make

=== debian/changelog ===
libdicto (1.0.14.3) unstable; urgency=low
  * Add 48Hhz formats

 -- Kaj-Michael Lang <milang@tal.org>  Mon, 20 Feb 2012 11:59:00 +0300

=== debian/control ===
--- 
+++ 
@@ -14,5 +14,5 @@
 Package: libdicto-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, libdicto (>= 1.0.12)
+Depends: ${shlibs:Depends}, libdicto (>= 1.0.14)
 Description: Development files for libdicto

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=libdicto-1.0.14.2
+DEB_TAR_SRCDIR:=libdicto-1.0.14.3
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 DEB_CONFIGURE_EXTRA_FLAGS:=--disable-static --enable-debug --enable-maemo=auto --disable-gtk-doc
 ifeq ($(IS_FREMANTLE),y)

## libdicto 1.0.15

=== Makefile ===
PACKAGE:=libdicto
VERSION:=1.0.15
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=
URLS=http://ftp.tal.org/pub/src/libdicto/1.0

include ../Rules.make

=== debian/changelog ===
libdicto (1.0.15) unstable; urgency=low
  * Internal adjustments

 -- Kaj-Michael Lang <milang@tal.org>  Thu, 08 Mar 2012 16:20:00 +0300

=== debian/control ===
--- 
+++ 
@@ -14,5 +14,5 @@
 Package: libdicto-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, libdicto (>= 1.0.14)
+Depends: ${shlibs:Depends}, libdicto (>= 1.0.15)
 Description: Development files for libdicto

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=libdicto-1.0.14.3
+DEB_TAR_SRCDIR:=libdicto-1.0.15
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 DEB_CONFIGURE_EXTRA_FLAGS:=--disable-static --enable-debug --enable-maemo=auto --disable-gtk-doc
 ifeq ($(IS_FREMANTLE),y)
